Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::ThrowPole Struct Reference

A pole that can select one of multiple inputs. More...

## Public Attributes
string | label
| Pole label
PowerLine | line
| Power line.
vector< int > | inNodeIds
| Upstream node ids.
int | outNodeId
| Downstream node id.

## Detailed Description

A pole that can select one of multiple inputs.

Definition at line 96 of file Pole.idl.

## Member Data Documentation

## ◆ inNodeIds

vector<int> pdumodel::ThrowPole::inNodeIds

Upstream node ids.

Definition at line 99 of file Pole.idl.

## ◆ label

string pdumodel::ThrowPole::label

Pole label

Definition at line 97 of file Pole.idl.

## ◆ line

PowerLine pdumodel::ThrowPole::line

Power line.

Definition at line 98 of file Pole.idl.

## ◆ outNodeId

int pdumodel::ThrowPole::outNodeId

Downstream node id.

Definition at line 100 of file Pole.idl.

The documentation for this struct was generated from the following file:

- Pole.idl